Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

liblua5_1-5-5.1.5-15.7 RPM for ppc64

From OpenSuSE Ports Tumbleweed for ppc64

Name: liblua5_1-5 Distribution: openSUSE Tumbleweed
Version: 5.1.5 Vendor: openSUSE
Release: 15.7 Build date: Tue Jan 11 13:10:27 2022
Group: System/Libraries Build host: obs-power8-05
Size: 334720 Source RPM: lua51-5.1.5-15.7.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.lua.org
Summary: The Lua integration library
Lua is a programming language originally designed for extending
applications, but is also frequently used as a general-purpose,
stand-alone language.

Lua combines procedural syntax (similar to Pascal) with
data description constructs based on associative arrays and extensible
semantics. Lua is dynamically typed, interpreted from byte codes, and
has automatic memory management, making it suitable for configuration,
scripting, and rapid prototyping. Lua is implemented as a small library
of C functions, written in ANSI C.

Provides

Requires

License

MIT

Changelog

* Fri Aug 02 2019 Martin Liška <mliska@suse.cz>
  - Use FAT LTO objects in order to provide proper static library.
* Tue Jul 25 2017 tchvatal@suse.com
  - Provide symbol for pkgconfig
* Mon Jul 24 2017 dimstar@opensuse.org
  - Add INSTALL_LMOD and INSTALL_CMOD variables to lua51.pc: this is
    queried for example by rrdtool's buildsystem.
* Thu Jul 20 2017 tchvatal@suse.com
  - Properly set includedir in the .pc file
* Mon Jul 10 2017 tchvatal@suse.com
  - Remove lua macros to favor split package
  - Sync with lua53 package to have exactly same approach of deployment
  - Add patch fixing the build using libtool:
    * lua-build-system.patch
  - Remove patches that are obsolete by above:
    * lua51-5.1.5-libdir.diff
    * lua51-5.1.5-module-path.diff
    * lua51-5.1.5-pkgconfig.patch
    * lua51-5.1.5-shared.diff
* Sat Sep 05 2015 i@marguerite.su
  - provides Lua(API) and Lua(devel)
  - adjust update-alternative weight
  - macros installs to -devel
* Fri Jul 31 2015 jengelh@inai.de
  - Update RPM group classification
* Fri Sep 12 2014 pgajdos@suse.com
  - fix update-alternatives
* Wed Sep 10 2014 pgajdos@suse.com
  - fix /etc/rpm/macros.lua51 perms
* Thu May 01 2014 mailaender@opensuse.org
  - Added a softlink to retain compatibility with .so naming from
    the DEB world which is the quasi standard in gaming nowadays.
* Mon Apr 14 2014 pgajdos@suse.com
  - revert last change: breaks builds of dependent packages.
    They include lua51-devel and expects rpm macros to be available.
    rpm macros use the interpreter.
* Tue Mar 18 2014 Rene.vanPaassen@gmail.com
  - correct dependency of lua51-devel, to be on the lib package, not
    on the interpreter binary
* Tue Oct 22 2013 peter.trommler@ohm-hochschule.de
  - fix patch lua51-5.1.5-pkgconfig.patch
    * libdl is required not librt
* Mon Oct 21 2013 peter.trommler@ohm-hochschule.de
  - refresh patch lua51-5.1.5-module-path.diff
  - new patch lua51-5.1.5-pkgconfig.patch
    * fix libraries in pkgconfig file
* Thu May 16 2013 pgajdos@suse.com
  - move rpm macros back, but install it in /etc/rpm/macros.lua51
    and call lua5.1 in %lua_version definition
* Sun May 05 2013 mrdocs@opensuse.org
  - move the lua rpm macros to the devel package to avoid conflict
    with lua 5.2
* Tue Apr 16 2013 mmeister@suse.com
  - Added url as source.
    Please see http://en.opensuse.org/SourceUrls
* Mon Jun 18 2012 pgajdos@suse.com
  - updated to 5.1.5:
    * bug-fix release, see http://www.lua.org/bugs.html for
      more details
    - > removed upstream-bugfix.patch
* Sat Mar 31 2012 joop.boonen@opensuse.org
  - Correction in Provides and Obsolete for lua-libs
* Mon Feb 13 2012 coolo@suse.com
  - patch license to follow spdx.org standard
* Wed Dec 21 2011 pgajdos@suse.com
  - lua51 branched from lua package
* Tue Oct 04 2011 uli@suse.com
  - cross-build fix: use %__cc macro
* Mon Jun 28 2010 jengelh@medozas.de
  - use %_smp_mflags
* Mon Jun 14 2010 pgajdos@suse.cz
  - removed -L/usr/lib from Libs: in etc/lua.pc [bnc#613497]
  - used upstream bugfix patch from http://www.lua.org/download.html
* Sat Apr 24 2010 coolo@novell.com
  - buildrequire pkg-config to fix provides
* Tue Mar 23 2010 pgajdos@suse.cz
  - modified LUA_PATH_DEFAULT [bnc#589441]: search modules under
    /usr/%{_lib}/lua/%{major_version} too
* Sat Dec 12 2009 jengelh@medozas.de
  - add baselibs.conf as a source
  - package documentation as noarch
* Sun Dec 06 2009 jengelh@medozas.de
  - enable parallel building
* Tue Nov 03 2009 coolo@novell.com
  - updated patches to apply with fuzz=0
* Wed Sep 16 2009 dmueller@suse.de
  - add baselibs.conf
* Mon Jun 08 2009 pgajdos@suse.cz
  - package owns /usr/{lib,share}/lua directories from now
  - emoved unneeded root.patch
* Thu Sep 11 2008 pgajdos@suse.cz
  - updated to 5.1.4: bugfix release
* Wed Jun 11 2008 jfunk@funktronics.ca
  - Set LUA_ROOT to /usr and fix INSTALL_CMOD for lib64
  - Add RPM macros file
  - Allows for lua-<modulename> packages like python, perl, and ruby
* Fri Mar 28 2008 coolo@suse.de
  - hint the solver about the package rename
* Wed Mar 26 2008 coolo@suse.de
  - do not package/provide the shared lib twice / follow shared lib
    policy
* Tue Feb 19 2008 pgajdos@suse.cz
  - created -doc package
  - updated to version 5.1.3, bug fix release. Fixed bugs:
    * wrong error message in some concatenations
    * too many variables in an assignment may cause a C stack
      overflow
    * an error in a module loaded through the '-l' option shows no
      traceback
    * gsub may go wild when wrongly called without its third
      argument and with a large subject
    * table.remove removes last element of a table when given
      an out-of-bound index
    * lua_setfenv may crash if called over an invalid object
    * stand-alone interpreter shows incorrect error message when
      the "message" is a coroutine.
    * debug.sethook/gethook may overflow the thread's stack
* Tue Jul 24 2007 pgajdos@suse.cz
  - using /sbin/ldconfig in specfile
  - updated to version 5.1.2, fixes some bugs:
    * count hook may be called without being set
    * code generated for "-nil", "-true", and "-false" is wrong
    * recursive coroutines may overflow C stack
    * wrong error message in some concatenations
    * very small numbers all collide in the hash function
* Mon Nov 27 2006 mrueckert@suse.de
  - package liblua.so as symlink.
* Thu Nov 16 2006 mrueckert@suse.de
  - the core package now uses update alternatives to allow installation
    of 5.0.x and 5.1.x
  - devel packages will conflict now
* Tue Nov 14 2006 mrueckert@suse.de
  - ARGH dont copy and paste!:
    lua-libs should not depend on lua. another run on (#217875)
* Tue Nov 14 2006 mrueckert@suse.de
  - really fix the file pattern (#217875)
* Thu Nov 09 2006 mrueckert@suse.de
  - splitted out lua-libs so we can install at least both libs
    in parallel. (#217875)
* Thu Oct 19 2006 dmueller@suse.de
  - fix wrong prefix in lua.pc
  - link liblua with -lm to satisfy unresolved symbols
* Thu Oct 19 2006 mjancar@suse.cz
  - include lua.pc
* Wed Oct 18 2006 mjancar@suse.cz
  - update to 5.1.1
    Language:
    * new module system.
    * new semantics for control variables of fors.
    * new semantics for setn/getn.
    * new syntax/semantics for varargs.
    * new long strings and comments.
    * new `mod' operator (`%')
    * new length operator #t
    * metatables for all types
    API:
    * new functions: lua_createtable, lua_get(set)field, lua_push(to)integer.
    * user supplies memory allocator (lua_open becomes lua_newstate).
    * luaopen_* functionst must be called through Lua.
    Implementation:
    * new configuration scheme via luaconf.h.
    * incremental garbage collection.
    * better handling of end-of-line in the lexer.
    * fully reentrant parser (new Lua function `load')
    * better support for 64-bit machines.
    * native loadlib support for Mac OS X.
    * standard distribution in only one library (lualib.a merged into lua.a)
* Wed Jan 25 2006 mls@suse.de
  - converted neededforbuild to BuildRequires
* Sat Jan 14 2006 schwab@suse.de
  - Don't strip binaries.
  - Fix shared library linking.
* Thu Sep 08 2005 anicka@suse.cz
  - enable dynamic loading capability (#106845)
* Fri Apr 23 2004 mcihar@suse.cz
  - initial packaging

Files

/usr/lib64/liblua.so.5.1
/usr/lib64/liblua5.1.so.0
/usr/lib64/liblua5.1.so.5
/usr/lib64/liblua5.1.so.5.1
/usr/lib64/liblua5.1.so.5.1.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue May 31 23:46:03 2022